#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh "$@"

execute_before_dh_autoreconf:
	@echo "dpkg-source cannot properly handle deletion and configure.in can confuse autoreconf."
	-rm -f --verbose configure.in

override_dh_auto_configure:
	# We don't need to embed full path as gzip will be used inside
	# popen() which uses a shell and thus has PATH.
	dh_auto_configure -- GZIP=/bin/gzip BZIP2=/bin/bzip2

execute_before_dh_auto_build:
	touch src/gaaout.c src/gaa.h po/mcrypt.pot
